unit ErrorMessage;

interface

uses
  SysUtils;

type
  ErrorMessages = class
  public
    procedure guideNumber(v: String; error_level: Integer);
  end;

const
  ERROR_DATA_TEXT = 'error.txt';

implementation

procedure ErrorMessages.guideNumber(v: String; error_level: Integer);
var
  dataFile: TextFile;
begin
  AssignFile(dataFile, ERROR_DATA_TEXT);
  Rewrite(dataFile);

  case error_level of
    1378: WriteLn(dataFile, 'File error-1378: file_name');
    1379: WriteLn(dataFile, 'File error-1379: file_name');
    1380: WriteLn(dataFile, 'File error-1380: name');
    1381: WriteLn(dataFile, 'File error-1381: file_name');
    1382: WriteLn(dataFile, 'File error-1382: new_name');
    1383: WriteLn(dataFile, 'File error-1383: DATA_TEXT');
    1384: WriteLn(dataFile, 'File error-1384: name');
    1385: WriteLn(dataFile, 'File error-1385: file_name');
    1386: WriteLn(dataFile, 'File error-1386: file_name');
    1387: WriteLn(dataFile, 'File error-1387: file_name');
    1388: WriteLn(dataFile, 'File error-1388: file_name');
    1389: WriteLn(dataFile, 'File error-1389: name');
    1390: WriteLn(dataFile, 'SetLength() error-1390: buffer_size');
    1391: WriteLn(dataFile, 'SetLength() error-1391: combo_size');
    1392: WriteLn(dataFile, 'File error-1392: file_name');
    1393: WriteLn(dataFile, 'File error-1393: file_name');
    1394: WriteLn(dataFile, 'File error-1394: file_name');
    1395: WriteLn(dataFile, 'File error-1395: file_name');
    1396: WriteLn(dataFile, 'File error-1396: SETTING_TEXT');
    1397: WriteLn(dataFile, 'SetLength() error-1397: buffer_length');
    1398: WriteLn(dataFile, 'hexadecimal_sequence_to_integer() error-1398: term < 0');
    1399: WriteLn(dataFile, 'StrToInt() error-1399');
    1400: WriteLn(dataFile, 'File error-1400: SURRO_CSV');
    1401: WriteLn(dataFile, 'File error-1401: SURRO_CSV');
    1402: WriteLn(dataFile, 'File error-1402: SURRO_TEXT');
    1403: WriteLn(dataFile, 'File error-1403: Length(binaryTable) = 0, beginning');
    1404: WriteLn(dataFile, 'File error-1404: Length(binaryTable) = 0, SEARCH_COUNT');
    1405: WriteLn(dataFile, 'File error-1405: Length(binaryTable) = 0');
    1406: WriteLn(dataFile, 'File error-1406: Length(binaryTable) = 0, beginning');
    1407: WriteLn(dataFile, 'File error-1407: Length(binaryTable) = 0, SEARCH_COUNT');
    1408: WriteLn(dataFile, 'File error-1408: Length(binaryTable) = 0');
    1409: WriteLn(dataFile, 'File error-1409: SETTING_TEXT');
    1410: WriteLn(dataFile, 'File error-1410: BINARY_TABLE');
    1411: WriteLn(dataFile, 'File error-1411: Length(binaryTable) = 0, beginning');
    1412: WriteLn(dataFile, 'File error-1412: Length(binaryTable) = 0, SEARCH_COUNT');
    1413: WriteLn(dataFile, 'File error-1413: Length(binaryTable) = 0');
    1414: WriteLn(dataFile, 'File error-1414: Length(binaryTable) = 0, beginning');
    1415: WriteLn(dataFile, 'File error-1415: Length(binaryTable) = 0, SEARCH_COUNT');
    1416: WriteLn(dataFile, 'File error-1416: Length(binaryTable) = 0');
    1417: WriteLn(dataFile, 'StrToInt() error-1417');
    1418: WriteLn(dataFile, 'File error-1418: SERIAL_TEXT');
    1419: WriteLn(dataFile, 'File error-1419: SERIAL_TEXT');
    1420: WriteLn(dataFile, 'File error-1420: SETTING_TEXT');
    1421: WriteLn(dataFile, 'File error-1421: BINARY_TABLE');
    1422: WriteLn(dataFile, 'File error-1422: Length(binaryTable) = 0, beginning');
    1423: WriteLn(dataFile, 'File error-1423: Length(binaryTable) = 0, SEARCH_COUNT');
    1424: WriteLn(dataFile, 'File error-1424: Length(binaryTable) = 0');
    1425: WriteLn(dataFile, 'File error-1425: Length(binaryTable) = 0, beginning');
    1426: WriteLn(dataFile, 'File error-1426: Length(binaryTable) = 0, SEARCH_COUNT');
    1427: WriteLn(dataFile, 'File error-1427: Length(binaryTable) = 0');
    1428: WriteLn(dataFile, 'File error-1428: SETTING_TEXT');
    1429: WriteLn(dataFile, 'File error-1429: BINARY_TABLE');
    1430: WriteLn(dataFile, 'File error-1430: Length(binaryTable) = 0, beginning');
    1431: WriteLn(dataFile, 'File error-1431: Length(binaryTable) = 0, SEARCH_COUNT');
    1432: WriteLn(dataFile, 'File error-1432: Length(binaryTable) = 0');
    1433: WriteLn(dataFile, 'File error-1433: Length(binaryTable) = 0, beginning');
    1434: WriteLn(dataFile, 'File error-1434: Length(binaryTable) = 0, SEARCH_COUNT');
    1435: WriteLn(dataFile, 'File error-1435: Length(binaryTable) = 0');
    1436: WriteLn(dataFile, 'File error-1436: SETTING_TEXT');
    1437: WriteLn(dataFile, 'File error-1437: BINARY_TABLE');
    1438: WriteLn(dataFile, 'File error-1438: Length(binaryTable) = 0, beginning');
    1439: WriteLn(dataFile, 'File error-1439: Length(binaryTable) = 0, SEARCH_COUNT');
    1440: WriteLn(dataFile, 'File error-1440: Length(binaryTable) = 0');
    1441: WriteLn(dataFile, 'File error-1441: Length(binaryTable) = 0, beginning');
    1442: WriteLn(dataFile, 'File error-1442: Length(binaryTable) = 0, SEARCH_COUNT');
    1443: WriteLn(dataFile, 'File error-1443: Length(binaryTable) = 0');
    1444: WriteLn(dataFile, 'File error-1444: new_name');
    1445: WriteLn(dataFile, 'StrToInt() error-1445: s');
    1446: WriteLn(dataFile, 'item() error-1446: i < 0');
    1447: WriteLn(dataFile, 'item() error-1447: i >= UPPER_LIMIT_TO_FIELD_NUMBER');
    1448: WriteLn(dataFile, 'setting() error-1448: i < 0');
    1449: WriteLn(dataFile, 'setting() error-1449: i >= UPPER_LIMIT_TO_FIELD_NUMBER');
    1450: WriteLn(dataFile, 'narrow() error-1450');
    1451: WriteLn(dataFile, 'widen() error-1451');
    1452: WriteLn(dataFile, 'Error-1452: queue_size - offset < 0');
    1453: WriteLn(dataFile, 'occupied[k] error-1453: occupied[k] = False');
    1454: WriteLn(dataFile, 'item() error-1454: i < 0');
    1455: WriteLn(dataFile, 'item() error-1455: i >= UPPER_LIMIT_TO_FIELD_NUMBER');
    1456: WriteLn(dataFile, 'setting() error-1456: i < 0');
    1457: WriteLn(dataFile, 'setting() error-1457: i >= UPPER_LIMIT_TO_FIELD_NUMBER');
    1458: WriteLn(dataFile, 'File error-1458: file_name');
    1459: WriteLn(dataFile, 'File error-1459: file_name');
    1460: WriteLn(dataFile, 'File error-1460: file_name');
    1461: WriteLn(dataFile, 'File error-1461: DATA_TEXT');
    1462: WriteLn(dataFile, 'File error-1462: TEMPORARY_BINARY');
    1463: WriteLn(dataFile, 'File error-1463: file_name');
    1464: WriteLn(dataFile, 'File error-1464: name');
    1465: WriteLn(dataFile, 'File error-1465: TEMPORARY_TEXT');
    1466: WriteLn(dataFile, 'File error-1466: file_name');
    1467: WriteLn(dataFile, 'File error-1467: file_name');
    1468: WriteLn(dataFile, 'SetLength() error-1468: buffer_size');
    1469: WriteLn(dataFile, 'File error-1469: file_name');
    1470: WriteLn(dataFile, 'File error-1470: file_name');
    1471: WriteLn(dataFile, 'File error-1471: file_name');
    1472: WriteLn(dataFile, 'File error-1472: SETTING_TEXT');
    1473: WriteLn(dataFile, 'SetLength() error-1473: buffer_length');
    1474: WriteLn(dataFile, 'hexadecimal_sequence_to_integer() error-1474: term < 0');
    1475: WriteLn(dataFile, 'StrToInt() error-1475');
    1476: WriteLn(dataFile, 'File error-1476: SURRO_CSV');
    1477: WriteLn(dataFile, 'File error-1477: SURRO_CSV');
    1478: WriteLn(dataFile, 'File error-1478: BINARY_TABLE');
    1479: WriteLn(dataFile, 'File error-1479: Length(binaryTable) = 0, beginning');
    1480: WriteLn(dataFile, 'File error-1480: Length(binaryTable) = 0, SEARCH_COUNT');
    1481: WriteLn(dataFile, 'File error-1481: Length(binaryTable) = 0');
    1482: WriteLn(dataFile, 'File error-1482: Length(binaryTable) = 0, beginning');
    1483: WriteLn(dataFile, 'File error-1483: Length(binaryTable) = 0, SEARCH_COUNT');
    1484: WriteLn(dataFile, 'File error-1484: Length(binaryTable) = 0');
    1485: WriteLn(dataFile, 'File error-1485: new_name');
    1486: WriteLn(dataFile, 'File error-1486: DATA_TEXT');
    1487: WriteLn(dataFile, 'File error-1487: name');
    1488: WriteLn(dataFile, 'File error-1488: file_name');
    1489: WriteLn(dataFile, 'File error-1489: file_name');
    1490: WriteLn(dataFile, 'File error-1490: file_name');
    1491: WriteLn(dataFile, 'File error-1491: file_name');
    1492: WriteLn(dataFile, 'File error-1492: name');
    1493: WriteLn(dataFile, 'SetLength() error-1493: buffer_size');
    1494: WriteLn(dataFile, 'SetLength() error-1494: combo_size');
    1495: WriteLn(dataFile, 'File error-1495: file_name');
    1496: WriteLn(dataFile, 'File error-1496: file_name');
    1497: WriteLn(dataFile, 'File error-1497: file_name');
    1498: WriteLn(dataFile, 'File error-1498: file_name');
    1499: WriteLn(dataFile, 'File error-1499: file_name');
    1500: WriteLn(dataFile, 'File error-1500: file_name');
    1501: WriteLn(dataFile, 'File error-1501: new_name');
    1502: WriteLn(dataFile, 'File error-1502: DATA_TEXT');
    1503: WriteLn(dataFile, 'File error-1503: name');
    1504: WriteLn(dataFile, 'File error-1504: file_name');
    1505: WriteLn(dataFile, 'File error-1505: file_name');
    1506: WriteLn(dataFile, 'File error-1506: file_name');
    1507: WriteLn(dataFile, 'File error-1507: file_name');
    1508: WriteLn(dataFile, 'File error-1508: name');
    1509: WriteLn(dataFile, 'SetLength() error-1509: buffer_size');
    1510: WriteLn(dataFile, 'SetLength() error-1510: combo_size');
    1511: WriteLn(dataFile, 'File error-1511: file_name');
    1512: WriteLn(dataFile, 'File error-1512: file_name');
    1513: WriteLn(dataFile, 'File error-1513: file_name');
    1514: WriteLn(dataFile, 'File error-1514: file_name');
    1515: WriteLn(dataFile, 'File error-1515: file_name');
    1516: WriteLn(dataFile, 'File error-1516: new_name');
    1517: WriteLn(dataFile, 'File error-1517: DATA_TEXT');
    1518: WriteLn(dataFile, 'File error-1518: name');
    1519: WriteLn(dataFile, 'File error-1519: file_name');
    1520: WriteLn(dataFile, 'File error-1520: file_name');
    1521: WriteLn(dataFile, 'File error-1521: file_name');
    1522: WriteLn(dataFile, 'File error-1522: file_name');
    1523: WriteLn(dataFile, 'File error-1523: name');
    1524: WriteLn(dataFile, 'SetLength() error-1524: buffer_size');
    1525: WriteLn(dataFile, 'SetLength() error-1525: combo_size');
    1526: WriteLn(dataFile, 'File error-1526: file_name');
    1527: WriteLn(dataFile, 'File error-1527: file_name');
    1528: WriteLn(dataFile, 'File error-1528: file_name');
    1529: WriteLn(dataFile, 'File error-1529: file_name');
    1530: WriteLn(dataFile, 'File error-1530: file_name');
    1531: WriteLn(dataFile, 'File error-1531: file_name');
    1532: WriteLn(dataFile, 'File error-1532: new_name');
    1533: WriteLn(dataFile, 'File error-1533: DATA_TEXT');
    1534: WriteLn(dataFile, 'File error-1534: name');
    1535: WriteLn(dataFile, 'File error-1535: file_name');
    1536: WriteLn(dataFile, 'File error-1536: file_name');
    1537: WriteLn(dataFile, 'File error-1537: file_name');
    1538: WriteLn(dataFile, 'File error-1538: file_name');
    1539: WriteLn(dataFile, 'File error-1539: name');
    1540: WriteLn(dataFile, 'SetLength() error-1540: buffer_size');
    1541: WriteLn(dataFile, 'SetLength() error-1541: combo_size');
    1542: WriteLn(dataFile, 'File error-1542: file_name');
    1543: WriteLn(dataFile, 'File error-1543: file_name');
    1544: WriteLn(dataFile, 'File error-1544: file_name');
    1545: WriteLn(dataFile, 'File error-1545: file_name');
    1546: WriteLn(dataFile, 'File error-1546: name');
    1547: WriteLn(dataFile, 'File error-1547: DATA_TEXT');
    1548: WriteLn(dataFile, 'File error-1548: name');
    1549: WriteLn(dataFile, 'File error-1549: file_name');
    1550: WriteLn(dataFile, 'File error-1550: file_name');
    1551: WriteLn(dataFile, 'File error-1551: file_name');
    1552: WriteLn(dataFile, 'File error-1552: file_name');
    1553: WriteLn(dataFile, 'File error-1553: name');
    1554: WriteLn(dataFile, 'SetLength() error-1554: buffer_size');
    1555: WriteLn(dataFile, 'SetLength() error-1555: combo_size');
    1556: WriteLn(dataFile, 'File error-1556: file_name');
    1557: WriteLn(dataFile, 'File error-1557: file_name');
    1558: WriteLn(dataFile, 'File error-1558: file_name');
    1559: WriteLn(dataFile, 'File error-1559: file_name');
    1560: WriteLn(dataFile, 'File error-1560: new_name');
    1561: WriteLn(dataFile, 'File error-1561: file_name');
    1562: WriteLn(dataFile, 'File error-1562: file_name');
    1563: WriteLn(dataFile, 'File error-1563: file_name');
    1564: WriteLn(dataFile, 'File error-1564: file_name');
    1565: WriteLn(dataFile, 'File error-1565: file_name');
    1566: WriteLn(dataFile, 'File error-1566: file_name');
    1567: WriteLn(dataFile, 'SetLength() error-1567: buffer_length');
    1568: WriteLn(dataFile, 'File error-1568: file_name');
    1569: WriteLn(dataFile, 'File error-1569: file_name');
    1570: WriteLn(dataFile, 'File error-1570: new_name');
    1571: WriteLn(dataFile, 'File error-1571: file_name');
    1572: WriteLn(dataFile, 'File error-1572: file_name');
    1573: WriteLn(dataFile, 'File error-1573: file_name');
    1574: WriteLn(dataFile, 'File error-1574: name');
    1575: WriteLn(dataFile, 'File error-1575: file_name');
    1576: WriteLn(dataFile, 'File error-1576: file_name');
    1577: WriteLn(dataFile, 'File error-1577: file_name');
    1578: WriteLn(dataFile, 'File error-1578: file_name');
    1579: WriteLn(dataFile, 'SetLength() error-1579: buffer_length');
    1580: WriteLn(dataFile, 'File error-1580: file_name');
    1581: WriteLn(dataFile, 'File error-1581: file_name');
    1582: WriteLn(dataFile, 'listName() error-1582: index < 1');
    1583: WriteLn(dataFile, 'listName() error-1583: index > 2');
    1584: WriteLn(dataFile, 'nearPoint error-1584: difference < 0.0');
    1585: WriteLn(dataFile, 'nearPoint() error-1585: difference < 0.0');
    1586: WriteLn(dataFile, 'singleSurge error-1586: difference < 0');
    1587: WriteLn(dataFile, 'File error-1587: SETTING_TEXT');
    1588: WriteLn(dataFile, 'ParamStr() error-1588: Length(s) = 0');
    1589: WriteLn(dataFile, 'File error-1589: Length(f.fileName) = 0, Timer2Timer');
    1590: WriteLn(dataFile, 'File error-1590: name');
    1591: WriteLn(dataFile, 'File error-1591: file_name');
    1592: WriteLn(dataFile, 'File error-1592: BINARY_TABLE');

  else
    WriteLn(dataFile, 'Narfi Delphi Version ' + v );
    WriteLn(dataFile, '');
    WriteLn(dataFile, 'narfi --help                 ');
  end;

  CloseFile(dataFile);
end;

end.
