unit Guide;

interface

uses
  SysUtils;

type
  Guiding = class
  public
    procedure versionGuide(v: String; comments: Boolean);
  end;

const
  VERSION_TEXT = 'version.txt';

implementation

procedure Guiding.versionGuide(v: String; comments: Boolean);
begin
  WriteLn( 'Diyo Delphi Version ' + v );
  WriteLn('');
  if comments then
    begin
      WriteLn('diyo -f bars.txt     # Edit according to bars.txt ');
      WriteLn('diyo -G              # Guide ');
      WriteLn('diyo -k -aN         #  is subsituted with N. ');
      WriteLn('diyo -k -aN file    #  is subsituted with N to produce a binary file. ');
      WriteLn('diyo -k -aN -y file # Do not remove binary.tmp ');
      WriteLn('diyo -s@ -eP       # @ is subsituted with P and represented in EUC-JP. ');
      WriteLn('diyo -s@ -eP file  # @ is subsituted with P to produce a binary file. ');
      WriteLn('diyo -s@ -eP -d    # Do not search a table. ');
      WriteLn('diyo -s@ -eP -q    # Acquire a table name from setting.txt ');
      WriteLn('diyo -s@ -eP -w    # -w shows which table Diyo uses. ');
      WriteLn('diyo -V              # Version ');
    end
  else
    begin
      WriteLn('diyo -f bars.txt     ');
      WriteLn('diyo -G              ');
      WriteLn('diyo -k -aN         ');
      WriteLn('diyo -k -aN file    ');
      WriteLn('diyo -k -aN -y file ');
      WriteLn('diyo -s@ -eP       ');
      WriteLn('diyo -s@ -eP file  ');
      WriteLn('diyo -s@ -eP -d    ');
      WriteLn('diyo -s@ -eP -q    ');
      WriteLn('diyo -s@ -eP -w    ');
      WriteLn('diyo -V              ');
    end;

end;

end.
