unit SearchBinary;

interface

uses
  SysUtils;

type
  SearchTable = class
  private
    no_searching: Boolean;
    selected_directory_has_priority: Boolean;
    path_name: String;
    which_table: Boolean;
  public
    function noSearching: Boolean;
    function priority: Boolean;
    function pathName: String;
    function whichTable: Boolean;
    procedure setting(t: String; n: Boolean; s: Boolean; w: Boolean);
  end;

implementation

function SearchTable.noSearching: Boolean;
begin
  Result := no_searching;
end;

function SearchTable.priority: Boolean;
begin
  Result := selected_directory_has_priority;
end;

function SearchTable.pathName: String;
begin
  Result := path_name;
end;

function SearchTable.whichTable: Boolean;
begin
  Result := which_table;
end;

procedure SearchTable.setting(t: String; n: Boolean; s: Boolean; w: Boolean);
begin
{ String }
  path_name := t;

{ Boolean }
  no_searching := n;
  selected_directory_has_priority := s;
  which_table := w;
end;

end.
