unit ErrorMessage;

interface

uses
  SysUtils;

type
  ErrorMessages = class
  public
    procedure guideNumber(v: String; error_level: Integer);
  end;

implementation

procedure ErrorMessages.guideNumber(v: String; error_level: Integer);
begin
  case error_level of
{ Block.pas }
    1593: WriteLn('File error-1593: new_name');
    1594: WriteLn('summarySize(s: String) error-1594: r > 1 or r = 0');
    1595: WriteLn('File error-1595: file_name');
    1596: WriteLn('File error-1596: file_name');
    1597: WriteLn('File error-1597: file_name');
    1598: WriteLn('StrToInt() error-1598');
    1599: WriteLn('SetLength() error-1599: buffer_size');
    1600: WriteLn('SetLength() error-1600: combo_size');
    1601: WriteLn('File error-1601: file_name');
    1602: WriteLn('File error-1602: file_name');
    1775: WriteLn('summarySize(s: String; k: Integer) error-1775: r = 0');

{ CaseSensitiveDescendingUnique.pas }
    1603: WriteLn('File error-1603: new_name');
    1604: WriteLn('summarySize(s: String) error-1604: r > 1 or r = 0');
    1605: WriteLn('File error-1605: file_name');
    1606: WriteLn('File error-1606: file_name');
    1607: WriteLn('File error-1607: file_name');
    1608: WriteLn('StrToInt() error-1608');
    1609: WriteLn('SetLength() error-1609: buffer_size');
    1610: WriteLn('SetLength() error-1610: combo_size');
    1611: WriteLn('File error-1611: file_name');
    1612: WriteLn('File error-1612: file_name');
    1776: WriteLn('summarySize(s: String; k: Integer) error-1776: r = 0');

{ CaseSensitiveUnique.pas }
    1613: WriteLn('File error-1613: new_name');
    1614: WriteLn('summarySize(s: String) error-1614: r > 1 or r = 0');
    1615: WriteLn('File error-1615: file_name');
    1616: WriteLn('File error-1616: file_name');
    1617: WriteLn('File error-1617: file_name');
    1618: WriteLn('StrToInt() error-1618');
    1619: WriteLn('SetLength() error-1619: buffer_size');
    1620: WriteLn('SetLength() error-1620: combo_size');
    1621: WriteLn('File error-1621: file_name');
    1622: WriteLn('File error-1622: file_name');
    1777: WriteLn('summarySize(s: String; k: Integer) error-1777: r = 0');

{ Descending.pas }
    1624: WriteLn('StrToInt() error-1624');
    1645: WriteLn('File error-1645: new_name');
    1646: WriteLn('File error-1646: file_name');
    1647: WriteLn('File error-1647: file_name');
    1648: WriteLn('File error-1648: file_name');
    1649: WriteLn('SetLength() error-1649: buffer_size');
    1650: WriteLn('SetLength() error-1650: combo_size');
    1651: WriteLn('File error-1651: file_name');
    1652: WriteLn('File error-1652: file_name');
    1778: WriteLn('summarySize(s: String; k: Integer) error-1778: r = 0');
    1781: WriteLn('summarySize(s: String) error-1781: r > 1 or r = 0');

{ DescendingUnique.pas }
    1626: WriteLn('StrToInt() error-1626');
    1653: WriteLn('File error-1653: new_name');
    1654: WriteLn('File error-1655: file_name');
    1655: WriteLn('File error-1654: file_name');
    1656: WriteLn('File error-1656: file_name');
    1657: WriteLn('SetLength() error-1657: buffer_size');
    1658: WriteLn('SetLength() error-1658: combo_size');
    1659: WriteLn('File error-1659: file_name');
    1660: WriteLn('File error-1660: file_name');
    1782: WriteLn('summarySize(s: String) error-1782: r > 1 or r = 0');
    1783: WriteLn('summarySize(s: String; k: Integer) error-1783: r = 0');

{ Unique.pas }
    1662: WriteLn('File error-1662: new_name');
    1663: WriteLn('summarySize(s: String) error-1663: r > 1 or r = 0');
    1664: WriteLn('File error-1664: file_name');
    1665: WriteLn('File error-1665: file_name');
    1666: WriteLn('File error-1666: file_name');
    1667: WriteLn('StrToInt() error-1667');
    1668: WriteLn('SetLength() error-1668: buffer_length');
    1669: WriteLn('SetLength() error-1669: combo_size');
    1670: WriteLn('File error-1670: file_name');
    1671: WriteLn('File error-1671: file_name');
    1784: WriteLn('summarySize(s: String; k: Integer) error-1784: r = 0');

{ HyphenTerm.pas }
    1627: WriteLn('listName() error-1627: index < 1');
    1628: WriteLn('listName() error-1628: index > 2');
    1629: WriteLn('nearPoint error-1629: difference < 0.0');
    1630: WriteLn('singleSurge error-1630: difference < 0');
    1631: WriteLn('File error-1631: SETTING_TEXT');
    1632: WriteLn('ParamStr() error-1632: Length(s) = 0');

{ SurvivorUTF16.pas }
    1633: WriteLn('File error-1633: SETTING_TEXT');
    1634: WriteLn('SetLength() error-1634: buffer_length');
    1635: WriteLn('hexadecimal_sequence_to_integer() error-1635: term < 0');
    1636: WriteLn('StrToInt() error-1636');
    1637: WriteLn('File error-1637: SURRO_CSV');
    1638: WriteLn('File error-1638: SURRO_CSV');
    1639: WriteLn('File error-1639: Length(binaryTable) = 0, beginning');
    1640: WriteLn('File error-1640: Length(binaryTable) = 0, SEARCH_COUNT');
    1641: WriteLn('File error-1641: Length(binaryTable) = 0');
    1642: WriteLn('File error-1642: Length(binaryTable) = 0, beginning');
    1643: WriteLn('File error-1643: Length(binaryTable) = 0, SEARCH_COUNT');
    1644: WriteLn('File error-1644: Length(binaryTable) = 0');
    1661: WriteLn('File error-1661: BINARY_TABLE');
    1674: WriteLn('File error-1674: SURRO_TEXT');

{ Combo.pas }
    1672: WriteLn('narrow() error-1672');
    1673: WriteLn('widen() error-1673');

{ PutCSV.pas }
    1675: WriteLn('File error-1675: new_name');

{ Utf16intoEUC.pas }
    1676: WriteLn('File error-1676: new_name');
    1677: WriteLn('File error-1677: DATA_TEXT');
    1678: WriteLn('File error-1678: name');
    1679: WriteLn('File error-1679: file_name');
    1680: WriteLn('File error-1680: file_name');
    1681: WriteLn('File error-1681: file_name');
    1682: WriteLn('File error-1682: file_name');
    1683: WriteLn('File error-1683: TEMPORARY_BINARY');
    1684: WriteLn('SetLength() error-1684: buffer_length');
    1685: WriteLn('SetLength() error-1685: combo_size');
    1686: WriteLn('File error-1686: file_name');
    1687: WriteLn('File error-1687: file_name');
    1688: WriteLn('File error-1688: file_name');
    1689: WriteLn('File error-1689: file_name');

{ AnsiQueue.pas }
    1690: WriteLn('Error-1690: queue_size - offset < 0');
    1691: WriteLn('occupied[k] error-1691: occupied[k] = False');

{ ConvertWide.pas }
    1692: WriteLn('File error-1692: new_name');
    1693: WriteLn('File error-1693: DATA_TEXT');
    1694: WriteLn('File error-1694: name');
    1695: WriteLn('File error-1695: file_name');
    1696: WriteLn('File error-1696: file_name');
    1697: WriteLn('File error-1697: file_name');
    1698: WriteLn('File error-1698: file_name');
    1699: WriteLn('File error-1699: TEMPORARY_BINARY');
    1700: WriteLn('SetLength() error-1700: buffer_size');
    1701: WriteLn('SetLength() error-1701: combo_size');
    1702: WriteLn('File error-1702: file_name');
    1703: WriteLn('File error-1703: file_name');
    1704: WriteLn('File error-1704: file_name');
    1705: WriteLn('File error-1705: file_name');

{ SparseUTF16.pas }
    1706: WriteLn('File error-1706: BINARY_TABLE');
    1707: WriteLn('File error-1707: Length(binaryTable) = 0, beginning');
    1708: WriteLn('File error-1708: Length(binaryTable) = 0, SEARCH_COUNT');
    1710: WriteLn('File error-1710: Length(binaryTable) = 0, beginning');
    1746: WriteLn('File error-1746: Length(binaryTable) = 0');
    1747: WriteLn('File error-1747: Length(binaryTable) = 0');
    1748: WriteLn('File error-1748: SETTING_TEXT');
    1749: WriteLn('File error-1749: Length(binaryTable) = 0, SEARCH_COUNT');

{ Hetn.dpr }
    1709: WriteLn('File error-1709: SETTING_TEXT');

{ FieldsArray.pas }
    1711: WriteLn('item() error-1711: i < 0');
    1712: WriteLn('item() error-1712: i >= UPPER_LIMIT_TO_FIELD_NUMBER');
    1713: WriteLn('setting() error-1713: i < 0');
    1714: WriteLn('setting() error-1714: i >= UPPER_LIMIT_TO_FIELD_NUMBER');

{ Numbered.pas }
    1715: WriteLn('StrToInt() error-1715');

{ ConvertUTF16.pas }
    1716: WriteLn('File error-1716: new_name');
    1717: WriteLn('File error-1717: DATA_TEXT');
    1718: WriteLn('File error-1718: name');
    1719: WriteLn('File error-1719: file_name');
    1720: WriteLn('File error-1720: file_name');
    1721: WriteLn('File error-1721: file_name');
    1722: WriteLn('File error-1722: file_name');
    1723: WriteLn('File error-1723: name');
    1724: WriteLn('SetLength() error-1724: buffer_size');
    1725: WriteLn('SetLength() error-1725: combo_size');
    1726: WriteLn('File error-1726: file_name');
    1727: WriteLn('File error-1727: file_name');
    1728: WriteLn('File error-1728: file_name');
    1729: WriteLn('File error-1729: file_name');
    1730: WriteLn('File error-1730: file_name');
    1731: WriteLn('File error-1731: file_name');

{ ConvertWideEUC.pas }
    1732: WriteLn('File error-1732: new_name');
    1733: WriteLn('File error-1733: DATA_TEXT');
    1734: WriteLn('File error-1734: name');
    1735: WriteLn('File error-1735: file_name');
    1736: WriteLn('File error-1736: file_name');
    1737: WriteLn('File error-1737: file_name');
    1738: WriteLn('File error-1738: file_name');
    1739: WriteLn('File error-1739: TEMPORARY_BINARY');
    1740: WriteLn('SetLength() error-1740: buffer_size');
    1741: WriteLn('SetLength() error-1741: combo_size');
    1742: WriteLn('File error-1742: file_name');
    1743: WriteLn('File error-1743: file_name');
    1744: WriteLn('File error-1744: file_name');
    1745: WriteLn('File error-1745: file_name');

{ PastoralUTF16.pas }
    1750: WriteLn('StrToInt() error-1750');
    1751: WriteLn('File error-1751: SURRO_CSV');
    1752: WriteLn('File error-1752: SURRO_CSV');
    1753: WriteLn('File error-1753: BINARY_TABLE');
    1754: WriteLn('File error-1754: Length(binaryTable) = 0, beginning');
    1755: WriteLn('File error-1755: Length(binaryTable) = 0, SEARCH_COUNT');
    1756: WriteLn('File error-1756: Length(binaryTable) = 0');
    1757: WriteLn('File error-1757: Length(binaryTable) = 0, beginning');
    1758: WriteLn('File error-1758: Length(binaryTable) = 0, SEARCH_COUNT');
    1759: WriteLn('File error-1759: Length(binaryTable) = 0');
    1771: WriteLn('File error-1771: SETTING_TEXT');
    1773: WriteLn('hexadecimal_sequence_to_integer() error-1773: term < 0');
    1774: WriteLn('SetLength() error-1774: buffer_size');

{ FieldsArrayHalt.pas }
    1760: WriteLn('item() error-1760: i < 0');
    1761: WriteLn('item() error-1761: i >= UPPER_LIMIT_TO_FIELD_NUMBER');
    1762: WriteLn('setting() error-1762: i < 0');
    1763: WriteLn('setting() error-1763: i >= UPPER_LIMIT_TO_FIELD_NUMBER');

{ RuralUTF16.pas }
    1764: WriteLn('File error-1764: Length(binaryTable) = 0, beginning');
    1765: WriteLn('File error-1765: Length(binaryTable) = 0, SEARCH_COUNT');
    1766: WriteLn('File error-1766: Length(binaryTable) = 0');
    1767: WriteLn('File error-1767: Length(binaryTable) = 0, beginning');
    1768: WriteLn('File error-1768: Length(binaryTable) = 0, SEARCH_COUNT');
    1769: WriteLn('File error-1769: Length(binaryTable) = 0');
    1770: WriteLn('File error-1770: BINARY_TABLE');
    1772: WriteLn('File error-1772: SETTING_TEXT');

  else
    WriteLn('Hetn Delphi Version ' + v );
    WriteLn('');
    WriteLn('hetn --help                 ');
  end;

end;

end.
