unit FinalEffect;

interface

uses
  SysUtils;

type
  FinalEffects = class
  private
    carriage_return: Boolean;
    display_data: Boolean;
    file_name: String;
    formal: Boolean;
    full_level: Integer;
    identical_time: Boolean;
    new_name: String;
    no_removing: Boolean;
    path_name: String;
    produce_temporary_binary: Boolean;
    remove_0Dh: Boolean;
    unnecessary_characters: Integer;
  public
    function carriageReturn: Boolean;
    function count0Ah: Integer;
    function displayData: Boolean;
    function doubleSpacedFormal: Boolean;
    function fileName: String;
    function fullLevel: Integer;
    function identicalTime: Boolean;
    function include0Dh: Boolean;
    function newName: String;
    function noRemoving: Boolean;
    function pathName: String;
    function produceTemporaryBinary: Boolean;
    function remove0Dh: Boolean;
    function unnecessaryCharacters: Integer;
    procedure setFileName(f: String);
    procedure setting(fn: String; nn: String; pn: String;
      FL: Integer; uc: Integer;
      cr: Boolean; dd: Boolean; f: Boolean; it: Boolean; nr: Boolean; pt: Boolean; r0: Boolean);

  end;

implementation

function FinalEffects.carriageReturn: Boolean;
begin
  Result := carriage_return;
end;

function FinalEffects.count0Ah: Integer;
begin
  Result := full_level;
end;

function FinalEffects.displayData: Boolean;
begin
  Result := display_data;
end;

function FinalEffects.doubleSpacedFormal: Boolean;
begin
  Result := formal;
end;

function FinalEffects.fileName: String;
begin
  Result := file_name;
end;

function FinalEffects.fullLevel: Integer;
begin
  Result := full_level;
end;

function FinalEffects.identicalTime: Boolean;
begin
  Result := identical_time;
end;

function FinalEffects.include0Dh: Boolean;
begin
  Result := carriage_return;
end;

function FinalEffects.newName: String;
begin
  Result := new_name;
end;

function FinalEffects.noRemoving: Boolean;
begin
  Result := no_removing;
end;

function FinalEffects.pathName: String;
begin
  Result := path_name;
end;

function FinalEffects.produceTemporaryBinary: Boolean;
begin
  Result := produce_temporary_binary;
end;

function FinalEffects.remove0Dh: Boolean;
begin
  Result := remove_0Dh;
end;

function FinalEffects.unnecessaryCharacters: Integer;
begin
  Result := unnecessary_characters;
end;

procedure FinalEffects.setFileName(f: String);
begin
  file_name := f;
end;

procedure FinalEffects.setting(fn: String; nn: String; pn: String; 
  FL: Integer; uc: Integer; 
  cr: Boolean; dd: Boolean; f: Boolean; it: Boolean; nr: Boolean; pt: Boolean; r0: Boolean);

begin
{ String }
  file_name := fn;
  new_name := nn;
  path_name := pn;

{ Integer }
  full_level := FL;
  unnecessary_characters := uc;

{ Boolean }
  carriage_return := cr;
  display_data := dd;
  formal := f;
  identical_time := it;
  no_removing := nr;
  produce_temporary_binary := pt;
  remove_0Dh := r0;
end;

end.
